
package org.mule.twitter.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.twitter.TwitterConnector;


/**
 * A <code>TwitterConnectorCapabilitiesAdapter</code> is a wrapper around {@link TwitterConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class TwitterConnectorCapabilitiesAdapter
    extends TwitterConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
